#
# ACTION_TEC
#

# 
# Prepare Makefile:
# 1)Don't make kernerl
# 2)Don't do rpm -i srpms (except DSL and USB srpms)
# 3)rpm -ba replaced with -bc and -bi (with --short-circuit)
# 4)nsp_filesystem replaced with nsp_filesystem_act: don't remove filesystem.
#

{
   if (index($0,"(MAKE) kernel")>0) {
	   print "#",$0
   }
   else if (index($0,"$(MAKE) $(module_srpms)")>0) {
      print "ifeq	($(DIST),NSP)"
	   print $0
      print "endif"
   }
   else if (index($0,"rpm -i")>0) {
      if (index($0,"dsl-REL")>0 || index($0,"usb-3.0-TI3.2.src.rpm")>0 || index($0,"wlan-REL")>0 || index($0,"foxy-REL")>0) {
         print $0;
      }
      else{
         print "#",$0
      }
   }
   else if (index($0,"rpm -ba")>0) {
      if (index($0,"kernel-dsl-rel")>0 || index($0, "kernel-usb")>0 || index($0,"wlan-rel")>0 || index($0, "foxy-rel")>0){
          print $0;
      }
      else{
      print (gensub("rpm -ba", "rpm -bc --short-circuit", "g"));
      print (gensub("rpm -ba", "rpm -bi --short-circuit", "g")); 
      }
   }
   else if (index($0,"nsp:")>0) {
      print (gensub(" kernel "," ", "g", gensub("nsp_filesystem", "nsp_filesystem_act", "g")));
   }
   else{
      print $0;
   }
}
END {
   print "nsp_filesystem_act:"
	print "\t@echo *----------------------------------------------------------------*"
	print "\t@echo * Setting up NSP filesystem                                      *"
	print "\t@echo *----------------------------------------------------------------*"
	print "\t@cd $(TARGET_HOME)"
	print "\t@rm -f nsp_filesystem.tgz"
	print "\t@rm -f nsp.img"
	print "\t@mkdir -p filesystem_nsp"
	print "\t@rm -f filesystem"
	print "\t@ln -sf filesystem_nsp filesystem"
}

