Summary: Small standalone proxy daemon 
Name: actiontec-arpproxy
Version: 1.6
Vendor: Texas Instruments
Release: TI%{TI_release_version}
URL: http://www.pengutronix.de/software/utelnetd_en.html
License: GPL
Source0: actiontec-arpproxy-%{version}.tar.gz

Group: Networking

%define pkgname actiontec-%{_hhl_target_arch}-arpproxy
Buildroot:  %{TI_build_home}/%{TI_linux_home}/
%define targetroot %{TI_build_home}/%{TI_linux_home}
Prefix: %{targetroot}

%description
This is a small arpproxy daemon for standalone use, mostly on embedded
systems.

%package -n %{pkgname}
Summary: Small standalone arpproxy daemon 
Group: Networking 
AutoReqProv: no
%description -n %{pkgname}
This is a small arpproxy daemon for standalone use, mostly on embedded
systems.

%prep
%target_check
%setup -q -n actiontec-arpproxy-%{version}

%build
export PATH=%{TI_uclibc_path}:$PATH
export CROSS_COMPILE_PREFIX=%{TI_uclibc_base}
%make TI_FILESYSTEM=%{TI_filesystem_path}
strip -s arpproxy

%install
export PATH=%{TI_uclibc_path}:$PATH
%make TI_FILESYSTEM=%{TI_filesystem_path} INSTALL=install  install

%clean
rm -rf *

%files 
%defattr(-,root,root)
%{TI_rsbindir}/arpproxy

%changelog
* Mon Nov 17 2003 (Denys Dmytriyenko <denys@ti.com>)
- Inactivity timeout patch added
* Sun Jul 14 2002 (Jeff Harrell <jharrell@ti.com>)
- Initial packaging of utelnetd
