Summary: Basic Networking Tools
Name: TI_Linux-target-net-tools
Version: 1.60
Vendor: Texas Instruments
Release: TI%{TI_release_version}
Copyright: GPL
URL: http://www.tazenda.demon.co.uk/phil/net-tools/net-tools-%{version}.tar.gz 
Source0: net-tools_%{version}.orig.tar.gz

%define TI_patch_date 07_15_02
Patch0: net-tools_%{version}-%{TI_patch_date}.diff.gz
Group: Networking/Admin

%define pkgname ti_linux-%{_hhl_target_arch}-net-tools
Buildroot:  %{TI_build_home}/%{TI_linux_home}/
%define targetroot %{TI_build_home}/%{TI_linux_home}
Prefix: %{targetroot}

%description
This is a collection of the basic tools necessary for setting up networking
on a Linux machine. It includes ifconfig, route, netstat, rarp, and
various other tools.

%package -n %{pkgname}
Summary: Basic Networking Tools
Group: Networking/Admin
AutoReqProv: no
%description -n %{pkgname}
This is a collection of the basic tools necessary for setting up networking
on a Linux machine. It includes ifconfig, route, netstat, rarp, and
various other tools.

%prep
%target_check
%setup -q -n net-tools-%{version}
%patch -p1

%build
export PATH=%{TI_uclibc_path}:$PATH
export CROSS_COMPILE_PREFIX=%{TI_uclibc_base}
%make

%install
export PATH=%{TI_uclibc_path}:$PATH
install -s -m 0755 arp %{TI_base}%{TI_rsbindir}
install -s -m 0755 arping %{TI_base}%{TI_rsbindir}

%clean
rm -rf *

%files 
%defattr(-,root,root)
%{TI_rsbindir}/arp


%changelog
* Mon Jul 15 2002 (Jeff Harrell <jharrell@ti.com>)
- Initial packaging of net-tools





