Summary: ZLIB Compression Library
Name: TI_Linux-host-zlib
Version: 1.1.3
Vendor: Texas Instruments
Release: TI%{TI_release_version}
Copyright: GPL
Source0: zlib-%{version}.orig.tar.gz
Group: tools

%define pkgname ti_linux-%{_hhl_target_arch}-zlib
Buildroot:  %{TI_build_home}/%{TI_linux_home}/
%define targetroot %{TI_build_home}/%{TI_linux_home}
Prefix: %{targetroot}

%description
ZLIB is the Compression Library required for cramfs utility.
Note: This must be run on a little endian machine!!

%package -n %{pkgname}
Summary: ZLIB Compression Library
Group: System Environment/Daemons
AutoReqProv: no
%description -n %{pkgname}
ZLIB is the Compression Library required for cramfs utility.
Note: This must be run on a little endian machine!!

%prep
%target_check
%setup -q -n zlib-%{version}

%build
%make 

%install
install -m 0755 -D libz.a %{TI_tools_path}/lib/libztemp.a

%clean
rm -rf *

%files 
%defattr(-,root,root)
/tools/lib/libztemp.a

%changelog
* Tue Oct 15 2002 (Snehaprabha Narnakaje <nsnehaprabha@telogy.com>)
- Initial packaging of ZLIB Compression Library.





