/* Stupidity in userspace */
#include <sys/types.h>
#include <limits.h>
#include <net/if.h>
#include <netinet/ip.h>
#include <linux/netfilter_ipv4.h>

#include <libipq/libipq.h>
#include <syslog.h>
#include <netinet/udp.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <sys/stat.h>
#include <pthread.h>
#ifdef ACTION_TEC_PARENTCONTROL
#include <sys/stat.h>
#include <unistd.h>
#endif

#define TR69_BOOT "/var/tmp/tr69_boot"
#define TR69_M_REBOOT "/var/tmp/tr69_m_reboot"

/*****************************************************************************/
typedef u_int16_t uint16;
typedef u_int32_t uint32;

union header_flags {
  uint16 flags;
  
  struct {
    unsigned short int rcode:4;
    unsigned short int unused:3;
    unsigned short int recursion_avail:1;
    unsigned short int want_recursion:1;
    unsigned short int truncated:1;
    unsigned short int authorative:1;
    unsigned short int opcode:4;
    unsigned short int question:1;
  } f;
};

/*****************************************************************************/
struct dns_header_s {
  uint16 id;
  union header_flags flags;
  uint16 qdcount;
  uint16 ancount;
  uint16 nscount;
  uint16 arcount;
};

#include <fcntl.h>
#include <stdarg.h>
#define LED_KPRINTF 8
int kprintf (const char *fmt, ...)
{
    static char tmp_text[51];
	va_list ap;
    int fp;

    /* Open /dev/led file for LED Operation */
    fp = open("/dev/led", O_RDWR);
    if(!fp) {
        return -1;
    }
    
    memset (tmp_text, 0, sizeof (tmp_text));
    va_start(ap, fmt);
    vsnprintf(tmp_text, sizeof (tmp_text)-1, fmt, ap);
    va_end(ap);	
    ioctl(fp, LED_KPRINTF, &tmp_text);
    close(fp);

    return 0;
}

#define PORT_DNS 53
#define MAX_URL_LEN  60
#define MAX_URLS    300
#define  DNS_OPCODE_MASK                            0xF800
#define  DNS_FLAGS_MASK                             0x07F0
#define  DNS_RCODE_MASK                             0x000F
#define FILE_WEBSITE_BLOCK  "/var/tmp/website_block_act"
#define FILE_WEB_LOG        "/var/tmp/log_web_activity"
#define MAX_BUF_BLOCK       6000
#define MAX_SIZE_LOG        3000 //9600
static unsigned char buf_block[MAX_BUF_BLOCK];
#ifdef ACTION_TEC_VERIZON
static unsigned char *list_website_block[MAX_URLS+1];
struct mac_block_node {
    unsigned char mac[6];
    int url_begin;
    int url_end;
    struct mac_block_node *next;
};
struct mac_block_node *head_devices = NULL;

static unsigned int  max_website = 0;
#define strnicmp(a,b,c)    strncasecmp(a,b,c)
#define PREFIX_MAC "<block_mac_"
void init_website_block_mac (void)
{
    FILE *fp_block;
    unsigned char *p=buf_block;
    int i, idx_url;
    unsigned char *pbegin, *pend;
    char *delimitor = ":";
    struct mac_block_node *pdev = head_devices;
    struct mac_block_node *node;

//    kprintf ("--init_website block %d\n", pdev!=NULL);
    //free all nodes in head_devices if necesary, in case this part be called again
    while (pdev) {
        head_devices = pdev->next;
        free (pdev);
        pdev = head_devices;
    }

    list_website_block[0] = NULL;
    if ((fp_block = fopen (FILE_WEBSITE_BLOCK, "r"))!= NULL) {
        memset (buf_block, 0, sizeof (buf_block));
        fgets (buf_block, sizeof (buf_block)-1, fp_block);
        fclose (fp_block);
        idx_url = 0;
        p = buf_block;
        while (p = strstr (p, PREFIX_MAC)) {
            node = (struct mac_block_node *)malloc (sizeof (struct mac_block_node));
            if (!node) {
                kprintf ("can't malloc for mac devices\n");
                return;
            }
            node->next = NULL;
            if (pdev) {
                pdev->next = node;
                pdev = node;
            }
            else {
                head_devices = node;
                pdev = head_devices;
            }
            
            p = p + strlen (PREFIX_MAC);
            for (i=0;i<6;i++) {
                pdev->mac[i] = strtol (&p[0], &delimitor, 16);
//                kprintf ("%02x:", pdev->mac[i]);
                p +=3;
            }
//            kprintf ("\n");
            pbegin = strchr (p, '>');
            if (!pbegin) {
                kprintf ("wrong format : no > after mac\n");
                break;
            }
            pbegin++;
            pend = strstr (pbegin, PREFIX_MAC);
            if (!pend) { //last one
                pend = pbegin + strlen (pbegin);
            }
            p = pbegin;
            list_website_block[idx_url] = p;
            pdev->url_begin = idx_url;
            while ((p < pend) && ((p = strchr (p, ' ')) != NULL)) {
                p[0] = 0;
                p++;
                while (p[0]==' ') 
                    p++;
                if (idx_url >= MAX_URLS) {
                    kprintf ("----too many block urls\n");
                    break;
                }
//                kprintf ("---%d--url=%s\n", idx_url, list_website_block[idx_url]);
                list_website_block[++idx_url] = p;
            }
            pdev->url_end = idx_url -1;

            p = pend;
        }
        max_website = idx_url;
    }

    pdev = head_devices;
    //for debug purpose
    /*    while (pdev) {
        kprintf ("bmac=%d,%d %02x:%02x:%02x:%02x:%02x:%02x\n",
                 pdev->url_begin, pdev->url_end,
                 pdev->mac[0],
                 pdev->mac[1],
                 pdev->mac[2],
                 pdev->mac[3],
                 pdev->mac[4],
                 pdev->mac[5]);
        for (i=pdev->url_begin; i <= pdev->url_end; i++) {
            kprintf ("%d %s\n", i, list_website_block[i]);
        }
        pdev = pdev->next;
    }
    */

}
void init_website_block (void)
{
    FILE *fp_block;
    unsigned char *p=buf_block;
    int i;

    list_website_block[0] = NULL;
    if ((fp_block = fopen (FILE_WEBSITE_BLOCK, "r"))!= NULL) {
        memset (buf_block, 0, sizeof (buf_block));
        fgets (buf_block, sizeof (buf_block)-1, fp_block);
        i = 0;
        list_website_block[i] = p;
        while ((p = strchr (p, ' ')) != NULL) {
            p[0] = 0;
            p++;
            while (p[0]==' ') p++;
            list_website_block[++i] = p;
        }
        max_website = i;
        fclose (fp_block);
    }
}


int inBlockWebsiteList (char *url_org, unsigned char *mac)
{
    int i;
    char *p, *tail, *s;
    int match;
    int len_url, len;
    struct mac_block_node *pnode;
    int found = 0;
    char url[100];

    if (!list_website_block[0]) { //empty
        return 0;
    }

/*    kprintf ("mac=%02x:%02x:%02x:%02x:%02x:%02x\n", 
             mac[0],
             mac[1],
             mac[2],
             mac[3],
             mac[4],
             mac[5]);
    kprintf ("url=%s\n", url_org);*/
    pnode = head_devices;
    while (pnode) {
        if (pnode->mac[0] == mac[0] &&
            pnode->mac[1] == mac[1] &&
            pnode->mac[2] == mac[2] &&
            pnode->mac[3] == mac[3] &&
            pnode->mac[4] == mac[4] &&
            pnode->mac[5] == mac[5] 
            ) {
//            kprintf ("---got mac match in website block\n");
            found = 1;
            break;
        }
        pnode = pnode->next;
    }
    if (!found) {
        return  0;
    }

    memset (url, 0, sizeof (url));
    for (i=0; i<sizeof (url)-1;i++) {
        if (!url_org[i]) {
            break;
        }
        url[i] = tolower (url_org[i]);
    }

    len_url = strlen (url);
    tail = url + len_url - 1;
    for (i=pnode->url_begin; i<=pnode->url_end; i++) {
        len = strlen (list_website_block[i]);
        if (len > 0 && len <= len_url) {
            s = list_website_block[i] + len - 1;
            p = tail;
            match = 1;
            while (s >= list_website_block[i]) {
                if (*s-- != *p--) {
                    match = 0;
                    break;
                }
            }
            if (match) {
//                kprintf ("url match %s\n", url);
                return 1;
            }
        }
    } 
    return 0;
}

void writeWebActivityLog (char *srcip, char *url)
{
    FILE *fp_log, *fp_log_tmp;
    struct stat st;
    
    if (!stat (FILE_WEB_LOG, &st) && (st.st_size > MAX_SIZE_LOG)) {
        if (((fp_log = fopen (FILE_WEB_LOG, "r")) != NULL)  &&
            ((fp_log_tmp = fopen ("/var/tmp/log_web_tmp", "w+")) != NULL)) {
            #define MAX_LINE 200
            char line[MAX_LINE];
            int buflen;
//            syslog (LOG_INFO, "==========truncate\n");
            memset (line, 0, sizeof (line));
            buflen = 0;
            while (fgets (line, sizeof (line) -1, fp_log) != NULL) {
                buflen += strlen (line);
                if (buflen > MAX_SIZE_LOG / 2) {
                     fprintf (fp_log_tmp, "%s", line);
                }
                memset (line, 0, sizeof (line));
            }
            fclose (fp_log);
            fclose (fp_log_tmp);
            sprintf (line, "cp -f /var/tmp/log_web_tmp %s", FILE_WEB_LOG);
            system (line);
            system ("rm -f  /var/tmp/log_web_tmp");
        }
    }
    if ((fp_log = fopen (FILE_WEB_LOG, "a")) != NULL) {
        fprintf (fp_log, "%.16s   %s\n", srcip, url);
        fclose (fp_log);
    }
    else 
        syslog (LOG_INFO, "Failed to open log\n");
}

int blockListChanged (void)
{
    int fd;
    if ((fd = open ("/var/tmp/website_block_tmp", O_RDONLY))> 0) {
        close (fd);
        unlink ("/var/tmp/website_block_tmp");
//        system ("rm -f /var/tmp/website_block_tmp");
        return 1;
    }
    return 0;
}
#else
static unsigned char *list_website_block[MAX_URLS];
static unsigned int  max_website = 0;
#define strnicmp(a,b,c)    strncasecmp(a,b,c)
void init_website_block (void)
{
    FILE *fp_block;
    unsigned char *p=buf_block;
    int i;
                                                                                                                             
    list_website_block[0] = NULL;
    if ((fp_block = fopen (FILE_WEBSITE_BLOCK, "r"))!= NULL) {
        memset (buf_block, 0, sizeof (buf_block));
        fgets (buf_block, sizeof (buf_block)-1, fp_block);
        i = 0;
        //if (strnicmp (p, "www.", 4) == 0) p+= 4;
        list_website_block[i] = p;
        while ((p = strchr (p, ' ')) != NULL) {
            p[0] = 0;
            p++;
            while (p[0]==' ') p++;
            //if (strnicmp (p, "www.", 4) == 0) p+= 4;
            list_website_block[++i] = p;
        }
        max_website = i;
        fclose (fp_block);
    }
}
int inBlockWebsiteList (char *url)
{
    int i;
    char *p, *tail, *s;
    int match;
    int len_url, len;

#ifdef ACTION_TEC_QWEST_06
    //syslog (LOG_INFO, "ipq lookup for %s\n", url);

    if (strstr(url, ".domain.actdsltmp"))
    {
      if (strcmp(url, "home.domain.actdsltmp") != 0)
      {
          //syslog (LOG_INFO, "ipq drop DNS lookup for %s\n", url);
          return 1;
      }
    }
#endif

                                                                                                                             
    if (!list_website_block[0]) { //empty
        return 0;
    }
    len_url = strlen (url);
    tail = url + len_url - 1;
    for (i=0; i<=max_website; i++) {
        len = strlen (list_website_block[i]);
        if (len > 0 && len <= len_url) {
            s = list_website_block[i] + len - 1;
            p = tail;
            match = 1;
            while (s >= list_website_block[i]) {
                if (*s-- != *p--) {
                    match = 0;
                    break;
                }
            }
            if (match)
                return 1;
        }
    }
    return 0;
}
void writeWebActivityLog (char *srcip, char *url)
{
    FILE *fp_log, *fp_log_tmp;
    struct stat st;
                                                                                                                             
    if (!stat (FILE_WEB_LOG, &st) && (st.st_size > MAX_SIZE_LOG)) {
        if (((fp_log = fopen (FILE_WEB_LOG, "r")) != NULL)  &&
            ((fp_log_tmp = fopen ("/var/tmp/log_web_tmp", "w+")) != NULL)) {
            #define MAX_LINE 200
            char line[MAX_LINE];
            int buflen;
//            syslog (LOG_INFO, "==========truncate\n");
            memset (line, 0, sizeof (line));
            buflen = 0;
            while (fgets (line, sizeof (line) -1, fp_log) != NULL) {
                buflen += strlen (line);
                if (buflen > MAX_SIZE_LOG / 2) {
                     fprintf (fp_log_tmp, "%s", line);
                }
                memset (line, 0, sizeof (line));
            }
            fclose (fp_log);
            fclose (fp_log_tmp);
            sprintf (line, "cp -f /var/tmp/log_web_tmp %s", FILE_WEB_LOG);
            system (line);
            system ("rm -f  /var/tmp/log_web_tmp");
        }
    }
    if ((fp_log = fopen (FILE_WEB_LOG, "a")) != NULL) {
        fprintf (fp_log, "%.16s   %s\n", srcip, url);
        fclose (fp_log);
    }
    else
        syslog (LOG_INFO, "Failed to open log\n");
}
                                                                                                                             
int blockListChanged (void)
{
    int fd;
    if ((fd = open ("/var/tmp/website_block_tmp", O_RDONLY))> 0) {
        close (fd);
        system ("rm -f /var/tmp/website_block_tmp");
        return 1;
    }
    return 0;
}

#endif
#define DNS_TIMEOUT	120

struct dns_timeout_s {
    unsigned long srv_ip;
//  unsigned long cli_ip;	
    int time;	
};
struct dns_timeout_s dns_timeout_rec[3];

void* dns_timeout_tick(int tick)
{
   int i;
   unsigned long dns[3]={0};
   
   tick = 0;

   while(1) 
   {
      tick++;
      sleep(20);	
      
      if( tick%3==0 )
      {		      
   	FILE* fp = fopen("/etc/resolv.conf", "r");
   	if(fp)
   	{
            char buf[100]={0}, *s;
    	    struct in_addr ip_dns;
	    i=0;
	    while( fgets(buf, sizeof(buf), fp) )
            {
	        s = strtok(buf, " \t\r\n");
        	s = strtok(NULL, " \t\r\n");
            	if(s) {
            	   char ip_str[16]={0};
                   strncpy(ip_str, s, 15);
                   inet_aton(ip_str, &ip_dns);
                   dns[i++] = ip_dns.s_addr;
	        }
            	if(i==3) break;
            }
            fclose(fp);
	}
	else
	    continue;		
#ifdef DEBUG	
	syslog(LOG_INFO, "Connect to DNS tick");
#endif	
      }	

      for(i=0; i<3; i++)
      {
         if( dns_timeout_rec[i].time &&
             (time(NULL)-dns_timeout_rec[i].time >= DNS_TIMEOUT) )
         {
             struct in_addr ip_dns;
             ip_dns.s_addr = dns_timeout_rec[i].srv_ip;
             syslog(LOG_INFO, "DNS request timeout, server: %s.", inet_ntoa(ip_dns));
         }

	 // clear entry
         if(     0 !=dns_timeout_rec[i].srv_ip &&
	     dns[0]!=dns_timeout_rec[i].srv_ip &&
             dns[1]!=dns_timeout_rec[i].srv_ip &&
             dns[2]!=dns_timeout_rec[i].srv_ip )
         {
#ifdef DEBUG		 
             struct in_addr ip_dns;
             ip_dns.s_addr = dns_timeout_rec[i].srv_ip;
             syslog(LOG_INFO, "Connect to DNS server %s: clear none dns(%x, %x, %x).", 
			     inet_ntoa(ip_dns), dns[0], dns[1], dns[2]);	     
#endif
	     dns_timeout_rec[i].srv_ip = 0;
	     dns_timeout_rec[i].time = 0;
         }
      }
   }
}

void dns_timeout_init()
{
   int i=0;	
   for(i=0; i<3; i++) {
	dns_timeout_rec[i].srv_ip = 0;	
	dns_timeout_rec[i].time = 0;
   }	
}	

// DNS request sent
void dns_timeout_start(unsigned long ip)
{
   int i=0;
   time_t t = time(NULL);
   
   for(i=0; i<3; i++)
   {
	// entry exist   
	if( dns_timeout_rec[i].srv_ip == ip ) 
	{
	    if( (dns_timeout_rec[i].time==0) || 
		(t-dns_timeout_rec[i].time>DNS_TIMEOUT) )	
	    {	    
	    	dns_timeout_rec[i].time = t;
#ifdef DEBUG
	        ip_dns.s_addr = dns_timeout_rec[i].srv_ip;
                syslog(LOG_INFO, "Connect to DNS server %s: update entry.", inet_ntoa(ip_dns));
#endif		
	    }
	    break;
   	} 
	// new entry
	else if( dns_timeout_rec[i].srv_ip==0 )
	{
	    dns_timeout_rec[i].srv_ip = ip;
    	    dns_timeout_rec[i].time = t;	    
#ifdef DEBUG	    
	    ip_dns.s_addr = dns_timeout_rec[i].srv_ip;
	    syslog(LOG_INFO, "Connect to DNS server %s: new entry.", inet_ntoa(ip_dns));
#endif	    
	    break;
	}	
   }
}

// DNS response received
void dns_timeout_clear(unsigned long ip)
{
   int i;	
   for(i=0; i<3; i++)
   {
	if( dns_timeout_rec[i].srv_ip == ip ) {
#ifdef DEBUG		
            struct in_addr ip_dns;
            ip_dns.s_addr = dns_timeout_rec[i].srv_ip;
            syslog(LOG_INFO, "Connect to DNS server %s: clear entry.", inet_ntoa(ip_dns));	      
#endif
	    dns_timeout_rec[i].time = 0;
	}	    
   }	   
}	

extern void*  arp_creator (void);


struct ipq_handle *qh;
// removes QUEUE hooks from iptables, destroys ipq handle
void cleanup()
{
        syslog(LOG_INFO, "cleanup()");
        // release handle
        if (qh) ipq_destroy_handle(qh);
}

void ipq_die()
{
        ipq_perror("ipq_act");
        syslog(LOG_INFO, "Error: ipq died.");
        cleanup();
        exit(1);
}
#include <sys/wait.h>
// hooks iptables, sets up queue
void setup()
{
    int status;

    syslog(LOG_INFO, "setup()");

    qh = ipq_create_handle(0, PF_INET);
    if (!qh)
    {
            syslog (LOG_ERR, "Unable to create ipq handle.\n");
            ipq_die();
    }

    status = ipq_set_mode(qh, IPQ_COPY_PACKET, 0);
    if (status < 0)
    {
            syslog (LOG_ERR, "Unable to set ipq mode.\n");
            ipq_die();
    }
}

#define O_RDONLY	0x0000
int get_adam2_env(char *result, int bufsize, char *var)
{
	int res;
	char buf[1024], *ptr;
	char *pos, *pos1;
	int fd = open("/proc/ticfg/env", O_RDONLY);

	strcpy(result, "N/A");
	if(fd < 0)
        return -1;
    res = read(fd, buf, sizeof(buf)-1);
	if(res <= 0){
		close (fd);
        return -1;
    }
	buf[res] = 0;
	ptr = buf;
	while((pos = strchr(ptr, '\n')))
	{
		*pos = 0;
		pos++;
		pos1 = strchr(ptr, '\t');
		if(pos1)
		{
			*pos1 = 0;
			pos1++;
			if(!strcmp(ptr, var)) {
                memset (result, 0, bufsize);
				strncpy(result, pos1, bufsize - 1);
                close (fd);
                return 0;
            }
		}
		ptr = pos;
	}
    close (fd);

    return -1;
}

#ifdef ACTION_TEC_TR69
#define ACS_SERVER "/var/tmp/tr69_acs.cf"
#define TR69_VALUECHANGE "/var/tmp/tr69_valuechange"
#define TR69_TRANS_COMPLETE "/var/tmp/tr69_trans_complete"
#define TR69_INFORM_EVENT "/var/tmp/tr69_lauch_client_cause"

#ifdef ACTION_TEC

	#include <stdio.h>
	#include <ctype.h>
	#include <string.h>
	#include <dirent.h>
	#include <stdlib.h>

	#define READ_BUF_SIZE	50


/* find_pid_by_name()
 *  
 *  This finds the pid of the specified process.
 *  Currently, it's implemented by rummaging through 
 *  the proc filesystem.
 *
 */
int exist_pid_by_name( char* pidName)
{
	DIR *dir;
	struct dirent *next;

	dir = opendir("/proc");
	if (!dir) {
		syslog (LOG_ERR, "can't read /proc");
		return -1;	 //don't do anything
	}
	while ((next = readdir(dir)) != NULL) {
		FILE *status;
		char filename[READ_BUF_SIZE];
		char buffer[READ_BUF_SIZE];
		char name[READ_BUF_SIZE];

		/* Must skip ".." since that is outside /proc */
		if (strcmp(next->d_name, "..") == 0)
			continue;

		/* If it isn't a number, we don't want it */
		if (!isdigit(*next->d_name))
			continue;

		sprintf(filename, "/proc/%s/status", next->d_name);
		if (! (status = fopen(filename, "r")) ) {
			continue;
		}
		if (fgets(buffer, READ_BUF_SIZE-1, status) == NULL) {
			fclose(status);
			continue;
		}
		fclose(status);

		/* Buffer should contain a string like "Name:   binary_name" */
		sscanf(buffer, "%*s %s", name);
		if (strcmp(name, pidName) == 0) {
			closedir(dir);
			return 1;
		}
	}

	closedir(dir);
	return 0;
}
#endif //ACTION_TEC

#ifdef ACTION_TEC_QWEST_06

static int gettime(char *stime)
{
    struct tm now;
    time_t tmp;
    struct stat statbuf;
    char buf[60] = {0};
    int ret = 0;
    time_t inform_time, cur_time, delta_time;
    if(stime && *stime)
    {
        tmp = time(NULL);
        localtime_act( &tmp, &now );
        //kprintf("--stime=%s\n", stime);
        //kprintf("--now=%04d:%02d:%02d-%02d:%02d:%02d\n", now.tm_year+1900, now.tm_mon+1, now.tm_mday, now.tm_hour, now.tm_min, now.tm_sec);
        if((stat("/var/tmp/offset_t", &statbuf) == 0) && (((now.tm_year + 1900) >= 2008)))
        {
            char *p, *p1;
            int year = 0, mon = 0, day = 0;
            int hour = 0, min = 0, sec = 0;
            strncpy(buf, stime, strlen(stime));
            p = strchr(buf, '-');
            if(p)
            {
                *p = '\0';
                year = atoi(buf);
                if((++p))
                {
                    p1 = strchr(p, '-');
                    if(p1)
                    {
                        *p1 = '\0';
                        mon = atoi(p);
                        if((++p1))
                        {
                            p = strchr(p1, 'T');
                            *p = '\0';
                            day = atoi(p1);
                        }
                    }
                }

                memset(buf, 0, sizeof(buf));
                strncpy(buf, stime, strlen(stime));
                p = strchr(buf, 'T');
                if((p) && (++p))
                {
                    p1 = strchr(p, ':');
                    if(p1)
                    {
                        *p1 = "\0";
                        hour = atoi(p);
                        p = 1 + p1;
                        if(p)
                        {
                            p1 = strchr(p, ':');
                            if(p1)
                            {
                                *p1 = "\0";
                                min = atoi(p);
                                if(++p1)
                                {
                                    sec = atoi(p1);
                                }
                            }
                        }
                    }

                    inform_time =  hour*3600 + min *60 + sec;
                    cur_time    =  now.tm_hour*3600 + now.tm_min*60 + now.tm_sec;

                    //kprintf("--inform_time=%ld\n", inform_time);
                    //kprintf("--cur_time=%ld\n", cur_time);

                    if (cur_time > inform_time)
                    {
                        delta_time = cur_time - inform_time;
                        //kprintf("--delta_time=%d\n", delta_time);
                        if (delta_time <= 60)
                        {
                            ret = 1;
                        }
                     }
                }
            }
        }
    }

    //kprintf("--ret=%d\n", ret);
    return ret;
}

#else
static void gettime(char *stime){
  struct tm now;
  time_t tmp;
  FILE *f_netime=NULL;
  FILE *f=NULL;
  char buf[60]={0};
  static time_t time_start = 0;
  time_t current;
  int gmt_idx = 0;

        memset (buf, 0, sizeof (buf));
        //if (time_start == 0)
        //    time (&time_start);

     
        tmp = time(NULL);
        localtime_act( &tmp, &now );


        if (f_netime= fopen("/var/tmp/offset_t", "r")) {
            sprintf(buf,"%4d-%02d-%02dT%02d:%02d:%02d",  now.tm_year+1900, now.tm_mon+1, now.tm_mday, now.tm_hour, now.tm_min, now.tm_sec);
            //printf(buf);
            fclose(f_netime);
        }
        else {
            long sec_passed;
            f=fopen("/var/tmp/start_t","r");
            if (f) {
                fscanf(f,"%ld",&time_start);
                fclose(f);
            }
            time(&current);

            sec_passed = current  - time_start;
            sprintf(buf, "0000-00-%02dT%02d:%02d:%02d",
                               sec_passed/86400,  
                               (sec_passed%86400)/3600, 
                               (sec_passed%3600)/60,
                               sec_passed%60);                      


            //printf(buf);
        }
      
        strcpy(stime,buf);

}
#endif

void set_inform_event(unsigned int event_no, int on)
{
	FILE *fp;
	int n;
	unsigned int event_magic = 0;

	if(event_no < 0 || event_no > 20)
		return;
	if( (fp=fopen(TR69_INFORM_EVENT, "r")) ) {
		n=fscanf(fp, "%x", &event_magic);
		if(n != 1)
			event_magic = 0;
		fclose(fp);
	} 

	//kprintf("O_INFORM_EV=%x ", event_magic);
	if( !on )
		event_magic &= ~(0x01<<event_no);
	else
		event_magic |= (0x01<<event_no);
	//kprintf("N_INFORM_EV=%x \n", event_magic);
	if( (fp=fopen(TR69_INFORM_EVENT, "w")) == NULL )
		return;

	fprintf(fp, "%x", event_magic);
	fclose(fp);
}

int tr69_lauch_client(int cause)
{
   char acsServer[256];
   char acscmd[256];
   FILE *fp;
   char Token[60];
   char tmp[256];
   struct stat stats;

   if(stat(TR69_M_REBOOT, &stats) == 0)
   {
       kprintf("---set M Reboot\n");
       set_inform_event(9, 1); 
   }

   if(stat(TR69_BOOT, &stats))
   {
       set_inform_event(1, 1);
   }

   set_inform_event(cause, 1);
   if (exist_pid_by_name ("tr-69-client")) {
       //syslog (LOG_ERR, "tr-69-client exist, do not restart it");	   
	   return -1;
   }
     //get acs_server
       strncpy(acsServer,"http://192.168.0.102/cgi-bin/tr-69-server.cgi",sizeof(acsServer));
       fp = fopen(ACS_SERVER, "r");
       if(fp){
           //memset(acsServer,0,256);
           while(!feof(fp)){
                memset(tmp,0,256);
                memset(Token,0,60);
                fscanf(fp,"%s %s\n",Token,tmp);
                if ( (Token[0]!='\0') && (strncmp(Token,"ACS_URL",strlen("ACS_URL"))==0) ) {
                        memset(acsServer,0,256);
                        strncpy(acsServer,tmp,strlen(tmp));
                        break;
                }
           }
           //fgets(acsServer, sizeof(acsServer), fp);
           fclose(fp);
       }
   #ifdef ACTION_TEC_OPENSSL
       if (!strncmp (acsServer, "https://", strlen ("https://")) || 
           !strncmp (acsServer, "HTTPS://", strlen ("HTTPS://")))
       {
           char *purl;
           char buf[256];
           char old_server[256];

           memset (old_server, 0, sizeof (old_server));
           strncpy (old_server, acsServer, sizeof (old_server)-1);
           memset (buf,0,sizeof (buf));
           strncpy (buf, acsServer, sizeof (buf)-1);
           memset (acsServer ,0 ,sizeof (acsServer));
           purl = strchr (buf + strlen ("https://"), '/');
           if (purl) {
               snprintf (acsServer, sizeof (acsServer)-1, "http://localhost:8080%s", purl);
           }
           else {
               strncpy(acsServer,"http://localhost:8080",sizeof(acsServer)-1);
           }
   	   memset (acscmd, 0, sizeof (acscmd));
           snprintf(acscmd,sizeof(acscmd) -1 ,"cd /var/tmp; /var/tmp/tr-69-client n %s %s &", acsServer, old_server);
       }
       else {
           memset (acscmd, 0, sizeof (acscmd));
           snprintf(acscmd,sizeof(acscmd)-1,"cd /var/tmp; /var/tmp/tr-69-client n %s &", acsServer);
       }
   #else
        snprintf(acscmd,sizeof(acscmd),"cd /var/tmp; /var/tmp/tr-69-client n %s &", acsServer);
   #endif //ACTION_TEC_OPENSSL
       
       //system("cd /var/tmp; cp /var/tmp/inform.xml /var/tmp/mypost.xml");
       system(acscmd);

       /*fp=NULL;
           fp=fopen("/var/run/tr69client","r");
           if (!fp) {       
           system("cd /var/tmp; cp /var/tmp/inform.xml /var/tmp/mypost.xml");
           system(acscmd);
           }
           else 
               fclose(fp);
       */

   return 0;

}

int tr69_timeout_tick(int tick)
{
   static int timeout = 30;
   struct stat stats;
   FILE *fp;
   char Token[60];
   char tmp[256];
   int acsPeriodicInformInterval=120;
   int acsPeriodicInformEnable=1;   
   static int acsPeriodicInformTime[256]={0};
   int i;
   static int init_time_flag=0;
   static int done=0;
   int sync_time = 0;
   tick = 0;
   
   sleep(60);

#if 0
   if(stat(TR69_TRANS_COMPLETE, &stats))
	   tr69_lauch_client(1); //1 BOOT  
#endif

   while(1) 
   {   
       for (i=0;i<(int)(acsPeriodicInformInterval/30);i++) {
           fp = fopen(ACS_SERVER, "r");
       	   if(fp){
           	while(!feof(fp)){
                	memset(tmp,0,256);
                	memset(Token,0,60);
                	fscanf(fp,"%s %s\n",Token,tmp);
                	if ( (Token[0]!='\0') && (strncmp(Token,"ACS_PeriodicInformInterval",strlen("ACS_PeriodicInformInterval"))==0) ) {
                        	acsPeriodicInformInterval=atoi(tmp);
                	}
                	else if  ( (Token[0]!='\0') && (strncmp(Token,"ACS_PeriodicInformEnable",strlen("ACS_PeriodicInformEnable"))==0) ) {
                        	acsPeriodicInformEnable=atoi(tmp);
                	}
                    else if  ( (Token[0]!='\0') && (strncmp(Token,"ACS_PeriodicInformTime",strlen("ACS_PeriodicInformTime"))==0) ) {
#ifdef ACTION_TEC_QWEST_06
                        if (tmp)
                        {
                            if (strstr(tmp, "0000-00-00T00:00:00"))
                            {
                                    init_time_flag = 1;
                            }
                            else
                            {
                                strncpy(acsPeriodicInformTime, tmp, strlen(tmp));

                                init_time_flag = 0;
                                if (stat("/var/tmp/inform_time", &stats) == 0)
                                {
                                    done = 0;
                                    if(gettime(acsPeriodicInformTime))
                                    {
                                        init_time_flag = 1;
                                        sync_time = 1;
                                        unlink ("/var/tmp/inform_time");
                                        done = 1;
                                        //kprintf("need to send 1\n");
                                        break;
                                    }
                                }
                                else if (!done)
                                {
                                    if(gettime(acsPeriodicInformTime))
                                    {
                                        sync_time = 1;
                                        init_time_flag = 1;
                                        done = 1;
                                        //kprintf("need to send 2\n");
                                        break;
                                    }
                                }
                                else
                                {
                                        init_time_flag = 1;
                                        done = 1;
                                        //kprintf("need to send 3\n");
                                }
                            }
                        }
#else
                        	strncpy(acsPeriodicInformTime,tmp,strlen(tmp));
                            gettime(curTime);
                            if (strncmp(curTime,acsPeriodicInformTime,strlen(curTime))>=0) {
                                init_time_flag=1;
                            }
                            else  init_time_flag=0;
#endif
                	}
           	}
           	fclose(fp);
           }

           if (sync_time)           
           {               
             kprintf("--sync periodic inform time\n");  
             sync_time = 0; 
             break;           
           }

           if ((i+1)< (int)(acsPeriodicInformInterval/30))
              sleep(30);
           /*vch_flag=0;
           if(stat(TR69_VALUECHANGE,&stats) ==0){
               if(stats.st_size > 0){
                   tr69_lauch_client(4); //4 VALUE CHANGE
                   //unlink(TR69_VALUECHANGE);//del value change flag file
                   vch_flag=1;
                   timeout = 30;                   
               }
           } */
       }
       i=0;
       //30*4 s timeout 
       if ((acsPeriodicInformEnable==1)&&(init_time_flag==1))
           tr69_lauch_client(2); //2 PERIODIC       
       sleep(30);
    }
    return 0;
}
#endif

#ifdef ACTION_TEC_PARENTCONTROL
#define NAME_SIZE 255
#define NUM_RRS 5
/* udp socket for logging to remote host */
static int remotefd = -1;

struct dns_rr{
  char name[NAME_SIZE];
  uint16 type;
  uint16 class;
  uint32 ttl;
  uint16 rdatalen;
  char data[NAME_SIZE];
};

struct dns_message{
  struct dns_header_s header;
  unsigned char data[512];
//  struct dns_rr question[NUM_RRS];
  //struct dns_rr answer[NUM_RRS];
};

/*
 * send reverse dns lookup request to dproxy
*/
void reverse_dnslookup (char *ip_lookup)
{
    struct sockaddr_in remoteaddr;
    struct dns_message dns_msg;
    int i, len, ret, buflen;
    char *buf = (char *)&dns_msg;

    syslog (LOG_INFO, "REVERSE_LOOKUP %s", ip_lookup);
    memset ((char *)&dns_msg, 0, sizeof (struct dns_message));
    dns_msg.header.id = 0x1234;
    dns_msg.header.flags.flags = 0x0100;  //standard query
    dns_msg.header.qdcount = 1;
    len = 0;
    for (i=0; i<strlen (ip_lookup); i++) {
        if (ip_lookup[i] == '.') {
            dns_msg.data[i - len] = len;
            len = 0;
        }
        else {
            len++;
            dns_msg.data[i+1] = ip_lookup[i];
        }
    }
    dns_msg.data[i - len] = len;
    i++;
    dns_msg.data[i++] = 7;
    dns_msg.data[i++] = 'i';
    dns_msg.data[i++] = 'n';
    dns_msg.data[i++] = '-';
    dns_msg.data[i++] = 'a';
    dns_msg.data[i++] = 'd';
    dns_msg.data[i++] = 'd';
    dns_msg.data[i++] = 'r';
    dns_msg.data[i++] = 4;
    dns_msg.data[i++] = 'a';
    dns_msg.data[i++] = 'r';
    dns_msg.data[i++] = 'p';
    dns_msg.data[i++] = 'a';
    dns_msg.data[i++] = 0;
    dns_msg.data[i++] = 0;      //000c is Type:domain name pointer
    dns_msg.data[i++] = 0x0c;
    dns_msg.data[i++] = 0;      //0001 is Class: inet
    dns_msg.data[i++] = 1;
    buflen = sizeof (struct dns_header_s) + i;
    syslog (LOG_INFO, "buflen =%d", buflen);
    memset(&remoteaddr, 0, sizeof (struct sockaddr_in));
    remoteaddr.sin_family = AF_INET;
    remoteaddr.sin_port = htons(PORT_DNS);
    inet_pton (AF_INET, "127.0.0.1", &remoteaddr.sin_addr);
    if (remoteaddr.sin_addr.s_addr != 0 && remotefd > 0) {
        ret = sendto (remotefd, buf, buflen, 0, &remoteaddr, sizeof (struct sockaddr_in ));
        syslog (LOG_INFO, "------sendto %d,%s\n", ret, ip_lookup);
    }
}
struct tcphdr {
	__u16	source;
	__u16	dest;
	__u32	seq;
	__u32	ack_seq;
	__u16	res1:4,
		doff:4,
		fin:1,
		syn:1,
		rst:1,
		psh:1,
		ack:1,
		urg:1,
		ece:1,
		cwr:1;
	__u16	window;
	__u16	check;
	__u16	urg_ptr;
};
#define MAX_LINE_PC         255
#define FILE_LANIP          "/var/etc/pc/lanip"
#define FILE_LOGONTABLE     "/var/etc/pc/logontable"
int is_logoned (char *ip_src) {
    FILE *fp;
    int logon_already = 0;
    char buf[MAX_LINE_PC];
    char *user_id;
    char *ip;
    char *logon;
    //check if the src ip has logon or not
    if (!ip_src || !strlen (ip_src)) return 0;

    fp = fopen (FILE_LOGONTABLE, "r");
    if (fp) {
        while ((fgets (buf, sizeof (buf)- 1, fp)) != NULL) {
            ip =        strtok (buf, " \t\n");
            logon =     strtok (NULL, " \t\n");
            user_id =   strtok (NULL, " \t\n");
            if (ip && logon && user_id )
            {
                if (strcmp (ip_src, ip) == 0) {
                    if (strcmp (logon, "1") == 0 )
                        logon_already = 1;
                    break;
                }
            }
        }
        fclose (fp);
    }

    return logon_already;
}

int get_lanip (char *ipbuf) 
{
    char buf[MAX_LINE_PC];
    FILE *fp;

    fp = fopen(FILE_LANIP, "r");
    if (fp != NULL) {
        if (fgets(buf, sizeof(buf) -1 , fp) != NULL) {
            char *s;
            s = strtok (buf," \t\n");
            strcpy (ipbuf, s);
            return 1;
        }
        fclose(fp);
    } 
    return 0;
}

//check sum calculation
/*
 * in_cksum --
 *      Checksum routine for Internet Protocol family headers (C Version)
 */
unsigned short in_cksum(unsigned short *addr,int len)
{
        register int sum = 0;
        u_short answer = 0;
        register u_short *w = addr;
        register int nleft = len;

        /*
         * Our algorithm is simple, using a 32 bit accumulator (sum), we add
         * sequential 16 bit words to it, and at the end, fold back all the
         * carry bits from the top 16 bits into the lower 16 bits.
         */
        while (nleft > 1)  {
                sum += *w++;
                nleft -= 2;
        }

        /* mop up an odd byte, if necessary */
        if (nleft == 1) {
                *(u_char *)(&answer) = *(u_char *)w ;
                sum += answer;
        }

        /* add back carry outs from top 16 bits to low 16 bits */
        sum = (sum >> 16) + (sum & 0xffff);     /* add hi 16 to low 16 */
        sum += (sum >> 16);                     /* add carry */
        answer = ~sum;                          /* truncate to 16 bits */
        return(answer);
}


struct psuedohdr  {
  struct in_addr source_address;
  struct in_addr dest_address;
  unsigned char place_holder;
  unsigned char protocol;
  unsigned short length;
} psuedohdr;

unsigned short trans_check(unsigned char proto,
                           char *packet,
                           int length,
                           struct in_addr source_address,
                           struct in_addr dest_address)
{
  char *psuedo_packet;
  unsigned short answer;

  psuedohdr.protocol = proto;
  psuedohdr.length = htons(length);
  psuedohdr.place_holder = 0;

  psuedohdr.source_address = source_address;
  psuedohdr.dest_address = dest_address;

  if((psuedo_packet = malloc(sizeof(psuedohdr) + length)) == NULL)  {
    perror("malloc");
    exit(1);
  }

  memcpy(psuedo_packet,&psuedohdr,sizeof(psuedohdr));
  memcpy((psuedo_packet + sizeof(psuedohdr)),
         packet,length);

  answer = (unsigned short)in_cksum((unsigned short *)psuedo_packet,
                                    (length + sizeof(psuedohdr)));
  free(psuedo_packet);
  return answer;
}
/*
 * check if (ipaddr, port) is blocked, pending or OK
   return:   0 - OK
             1 - pending
             2 - blocked
*/
int get_http_action (__u32 ipaddr, int port)
{
    char buf[40];
    int http_action = 0;
    FILE *fp = fopen ("/var/etc/pc/enable_http", "r");
    char *action;
    char *ip_str;
    char *port_str;
    struct in_addr local_addr;
    unsigned short local_port = 0;

    memset (buf, 0, sizeof (buf));
    memset ((char *)&local_addr, 0, sizeof (struct in_addr));
    if (fp) {
        while (fgets (buf, sizeof (buf)-1, fp)) {
            action = strtok (buf, " \t\n");
            ip_str = strtok (NULL, " \t\n");
            port_str = strtok (NULL, " \t\n");
            if (action && ip_str && port_str) {
                inet_aton (ip_str, &local_addr);
                if (local_addr.s_addr == ipaddr) {
                    http_action = atoi (action);
                    local_port = atol (port_str);
                    break;
                }
            }
        }
        fclose (fp);
    }
    return http_action;
}

#define PCCONFIG_SERVER "/var/etc/pc/ftpip"
int pc_timeout_tick(int tick)
{
   static int timeout = 5;
   struct stat stats;
   char mac[32];
   char ftpip[32];
   char ftpcmd[256];
   char *p;
   FILE *fp;

   tick = 0;

   //get MAC
   if(get_adam2_env(mac,32,"macc") == -1){
       syslog(LOG_INFO, "pc_timeout_tick: cannot get macc\n");
       return -1;
   }
   //replace ":" with "-"
   p = &mac[0];
   while(*p != '\0'){
       if (*p == ':') {
           *p = '-';
       }else{
           *p = tolower(*p);
       }
       p++;
   }
   
   //get pcconfig_server ip
   strncpy(ftpip,"209.227.180.40",sizeof(ftpip));
   fp = fopen(PCCONFIG_SERVER, "r");
   if(fp){
       fgets(ftpip, sizeof(ftpip), fp);
       fclose(fp);
   }
   
   //construct ftp command: wget -P /var/etc/pc mac:mac@ip/home/mac/blocktable
   snprintf(ftpcmd,sizeof(ftpcmd),"wget -P /var/etc/pc ftp://u%s:u%s@%s/home/u%s/profile", mac,mac,ftpip,mac);
   syslog(LOG_INFO,"pc_timeout_tick:%s\n", ftpcmd);

   while(1) 
   {
//      tick++;
      sleep(timeout); 

      //syslog(LOG_INFO,"pc_timeout_tick:%s\n", ftpcmd);
      system(ftpcmd);
      if(stat("/var/etc/pc/profile",&stats) ==0){
          if(stats.st_size > 0){
              timeout = 60; //finally it will be 30min?
              system("cp -f /var/etc/pc/profile /var/etc/pc/blocktable");
          }
      }
   }
   return 0;
}

#include "comm.h"
#include "im_util.h"
int serv_fd = -1;
struct msg_base *message_queue = NULL;
void* im_handler (void)
{
	int res, max_fd;
	struct timeval timeout;
	fd_set readfds, master_readfds;
	char recvbuf[CM_MAX_MESSAGE_LEN];
	ssize_t recvlen;

	if((serv_fd = comm_start(PC_IPQ_NAME, MSG_DONTWAIT)) < 0) {
        syslog (LOG_ERR, "failed to comm_start %s", PC_IPQ_NAME);
		return NULL;
    }
	msg_flush();
	
    /* fill up the master fd set */
	FD_ZERO(&master_readfds);
	FD_SET(serv_fd, &master_readfds);
	max_fd = serv_fd;
    syslog (LOG_INFO, "IM_handler is started");
	while(1)
	{
        int exist_timeout_msg = 0;
		// Process all messages in the queue
        while(message_queue)
        {
            struct msg_base *msg;
            int rval;

            msg = message_queue;
            if(time(0) < msg->expire) // not expired?
                break;                // keep in queue then

            NODE_DEL(message_queue, msg);
            syslog (LOG_INFO, "Exist timeout packet in queue %d,%08x", msg->seq, msg->packet_id);
            rval = ipq_set_verdict(qh, msg->packet_id,
                            NF_ACCEPT, msg->datalen, msg->data);
            if (rval < 0) {
                syslog(LOG_WARNING, "ipq_set_verdict returned error0.");
            }
            msg_free(msg);
            exist_timeout_msg = 1;
        }

		if (exist_timeout_msg)
		{
			/* Set the timeout */
			timeout.tv_sec = 0;
			timeout.tv_usec = 500;
		}
		else
		{
			/* Set the timeout */
			timeout.tv_sec = 2;
			timeout.tv_usec = 0;
		}

		/* Copy the master fd sets into our local fd sets */
		memcpy(&readfds, &master_readfds, sizeof(fd_set));

		res = select(max_fd+1, &readfds, NULL, NULL, &timeout);
		if(res < 0)
		{
			// Signal handling
			//quit = 1;
			syslog (LOG_ERR, "select() exited with errno = %i\n", errno);
		}
		else if(res == 0)
		{
			// Timeout handling
		}
		else
		{
			// Socket operations
			if(FD_ISSET(serv_fd, &readfds))
			{
				/* New socket connection */
				struct sockaddr_un from;
				socklen_t fromlen = sizeof(from);

				recvlen = comm_recvfrom(serv_fd, recvbuf, sizeof(recvbuf)-1, 0,
						(struct sockaddr *)&from, &fromlen);
				if(recvlen < 0)
					printf("Error receiving message!\n");
				else
				{
                    struct msg_im_action *msg_im;
                    struct msg_base *msg_packet;
					recvbuf[recvlen] = 0;
					msg_im = (struct msg_im_action *)recvbuf;
					syslog (LOG_INFO, "Rcv %i bytes msg from %s: %d, %d",
									recvlen, from.sun_path, msg_im->seq, msg_im->action);
                    msg_packet = find_msg (msg_im->seq);
                    if (!msg_packet) {
                        syslog (LOG_ERR, "!!!!!!!!!Can't find correspond msg %d", msg_im->seq);
                    }
                    else {
                        int verdict = NF_ACCEPT;
                        int rval;

                        if (msg_im->action <= NF_MAX_VERDICT) {
                            verdict = msg_im->action;
                        }
                        syslog (LOG_INFO, "****rcv verdict id= %08x, len=%d", 
                                msg_packet->packet_id, msg_packet->datalen);
                        rval = ipq_set_verdict(qh, msg_packet->packet_id,
                                        verdict, msg_packet->datalen, msg_packet->data);
                        if (rval < 0) {
                            syslog(LOG_WARNING, "ipq_set_verdict returned error2.");
                        }
                        msg_free (msg_packet);
                    }
				}
			}
		}
	}

	comm_unlink(PC_IPQ_NAME);
	msg_flush();

	return NULL;
}
#endif //PARENTCONTROL

#ifdef ACTION_TEC_VERIZON_DEMO
/*
 * Parent Control:Schedule
 * Interface: "/var/tmp/rules_schedules"
 * Function: Allow or Disallow web browsing during specific periods
 */
static int pc_s_magic=1;
int pc_schedule(int is_thread) 
{
#define PCS_RULE_BUF 255
    char cmd[255];
    const char * cmdfmt="iptables -%c FORWARD -m mac --mac-source %s -p all -j REJECT";
    const char * s_rules = "/var/tmp/rules_schedules";
    static int t_gran = 5*60; //second
    
    char buf[PCS_RULE_BUF];
    char MAC[20];
    int rule_day[7]; //7 days, bit position means hour
    int ret;
    
    struct tm now;
    time_t tmp;

    FILE *f_rules;
    FILE *f_netime;

    syslog(LOG_INFO, "PC Schedule: is_thread=%s pid=%u\n", 
           (is_thread)?"true":"false", getpid());

    do {
        f_rules = fopen(s_rules, "r");
        if(! f_rules) {
            syslog(LOG_INFO, "PC Schedule: no schedule file\n");
            if(is_thread) {
                do {
                    //in case, try again after a break
                    sleep(30); 
                } while ( ! (f_rules=fopen(s_rules, "r")) );
            } else
                break;
        }

        while( ! (f_netime= fopen("/var/tmp/offset_t", "r")) ) {
            sleep(5);
        }
        fclose(f_netime);
        tmp = time(NULL);
        localtime_act( &tmp, &now );
        //kprintf("PCS %1d-%2d-%d-%d\n", now.tm_wday, now.tm_hour, now.tm_min, now.tm_sec);
        
        /*retrieve schedule info*/
        memset(buf, 0, PCS_RULE_BUF);
        while( fgets(buf, PCS_RULE_BUF, f_rules) ) {
            ret = sscanf(buf, "%s %i %i %i %i %i %i %i", MAC, rule_day, 
                   rule_day+1, rule_day+2, rule_day+3, rule_day+4, 
                   rule_day+5, rule_day+6 );
            memset(buf, 0, PCS_RULE_BUF);
            
            if(ret < 8) {
                syslog(LOG_WARNING,"PC Schedule: rule with bad format");
                continue;
            }
            /*
            kprintf("PCS %s ", MAC);
            kprintf("%x %x %x %x %x %x %x\n", rule_day[0], 
                   rule_day[1], rule_day[2], rule_day[3], rule_day[4], 
                   rule_day[5], rule_day[6]);
            */
            sprintf(cmd, cmdfmt, 'D', MAC);
            system( cmd );

            if( ! ( rule_day[now.tm_wday] & (1 << now.tm_hour) ) ) {
                //disallow
                sprintf(cmd, cmdfmt, 'I', MAC);
                system(cmd);
		        /*
                kprintf("PCS Disallow %s %1d-%2d-%d-%d\n", MAC,
                       now.tm_wday, now.tm_hour, now.tm_min, now.tm_sec);
                */
            }
        }
        fclose(f_rules);
        
        /*Sleep till next action time*/
        if( is_thread ) {
            int passed = now.tm_min*60;
            //according to manual, tm_sec could be larger than 59
            if(now.tm_sec<= 59) 
                passed += now.tm_sec;
            else
                passed += 59;
            passed = t_gran - (passed % t_gran); //seconds remaining
            sleep( passed );
        }
    } while ( is_thread );

    return is_thread;
}

#endif

#ifdef ACTION_TEC_CMS

#include <syslog.h>
#define PREFIX_REPORT_CMS "CMS_RePoRt:"
void write_log_cms (char *mac, char *status)
{                                                                         
    FILE *fp;
//    char userid[MAX_LEN_USERID];
    char time_now[30];
    time_t tp;
    
//    if (!pc_enabled ()) return;

    tp = time (NULL);
    strftime (time_now, sizeof (time_now) -1, "%Y/%m/%d_%H:%M:%S", localtime (&tp));
//    get_logonuserid (inet_ntoa (src_addr), userid);
    
    syslog (LOG_INFO, "%s %s %s %s", PREFIX_REPORT_CMS, mac, "$", status);
//    syslog (LOG_INFO, "%s$%s", mac, status);
//    syslog (LOG_INFO, "%s %s %s", PREFIX_REPORT_CMS, mac, status);
    return;
}

#include "comm.h"
#include "im_util.h"
#define FILE_CMS_INTERVAL   "/var/etc/pc/cms_interval_set"
#define CMS_ACK_MSG "got ack"
#define CMS_IP_MSG "got ip"
int get_cms_interval(void)
{
        FILE *fp;
        char *interval_tmp;
        char buf[100];
        int  ret = -1;
                                                                                                
        memset (buf, 0, sizeof (buf));
        fp = fopen (FILE_CMS_INTERVAL, "r");
        if (fp) {
                memset (buf, 0, sizeof (buf));
                fgets (buf, sizeof (buf) -1, fp);
                interval_tmp = strtok (buf, " \t\n");
                if (interval_tmp) {
                        ret = atoi(interval_tmp);
                }
                fclose (fp);
        }
        return ret;
}

int cms_timeout_tick(int tick)
{
   #define CMS_MAX 20480
   static char cms_status[CMS_MAX];
   char cms_line[8092];
   struct stat stats;
   char mac[32];
   char *p;
   FILE *fp;

   int res, max_fd;
   struct timeval timeout;
   fd_set readfds, master_readfds;
   char recvbuf[32];
   ssize_t recvlen;
   int serv_fd = -1;
   int cms_freq;
   static int cms_stamp = 0;

   //get MAC
   if(get_adam2_env(mac,32,"maca") == -1){
       syslog(LOG_INFO, "pc_timeout_tick: cannot get maca\n");
       return -1;
   }
   //replace ":" with "-"
   p = &mac[0];
   while(*p != '\0'){
       if (*p == ':') {
           *p = '-';
       }else{
           *p = tolower(*p);
       }
       p++;
   }
   
   timeout.tv_sec = 60*2;

   //UNIX socket
   if((serv_fd = comm_start(CMS_IP_NAME, MSG_DONTWAIT)) < 0) {
       return NULL;
   }
   //msg_flush();
    /* fill up the master fd set */
   FD_ZERO(&master_readfds);
   FD_SET(serv_fd, &master_readfds);
   max_fd = serv_fd;

   tick = 0;

   while(1) 
   {
//      tick++;

/* Copy the master fd sets into our local fd sets */
       memcpy(&readfds, &master_readfds, sizeof(fd_set));
       cms_freq = get_cms_interval();
       if (cms_freq <= 0)
       {
                        if(cms_stamp == 0)
                                cms_stamp = 60 * 2;
                        else
                                cms_stamp = cms_stamp * 2;
                                                                                                
                        if(cms_stamp > (24*60*60))      cms_stamp = 24*60*60;
                                                                                                
                        cms_freq = cms_stamp;
       }
       timeout.tv_sec = cms_freq;
       unlink(FILE_CMS_INTERVAL);

       res = select(max_fd+1, &readfds, NULL, NULL, &timeout);
//       timeout.tv_sec = 60*2;
       if(res < 0){
	   // Signal handling
	   continue;
       }
       // recvfrom
       if(FD_ISSET(serv_fd, &readfds)){
	   /* New socket connection */
	   struct sockaddr_un from;
	   socklen_t fromlen = sizeof(from);

	   recvlen = comm_recvfrom(serv_fd, recvbuf, sizeof(recvbuf)-1, 0,
				   (struct sockaddr *)&from, &fromlen);
	   if(recvlen < 0)
	       printf("Error receiving message!\n");
	   else{
	       recvbuf[recvlen] = 0;
	       //now nothing to do...
		if(recvlen > 0)
                {
                	if(strncmp(recvbuf, CMS_IP_MSG, strlen(CMS_IP_MSG)) == 0 || strncmp(recvbuf, CMS_ACK_MSG, strlen(CMS_ACK_MSG)))
                        {
                        	cms_stamp = 0;
                        }
                                                                                                
                        if(strncmp(recvbuf, CMS_ACK_MSG, strlen(CMS_ACK_MSG)) == 0)
                        {
                        	syslog (LOG_INFO, "ipq_act: got cms ack msg");
                                continue;
                        }
                }

	   }
       }
       //0(timeout) or >0(new IP)
	sleep(3);
      system("cd /var;wget http://127.0.0.1/cgi-bin/webcm?getpage=../html/cms.html");
      fp = fopen("/var/cms.html","r");    
      if(fp){
          int readn;
          cms_status[0] = '\0';
          readn = fread(cms_status,1, CMS_MAX,fp);
          if (readn > 0) {
          	cms_status[readn] = '\0';
          }
/*
          while(!feof(fp)){
              fgets(cms_line, sizeof(cms_line), fp);
              strncat(cms_status,cms_line, CMS_MAX-strlen(cms_status));
          }
*/
          fclose(fp);
      }

      //syslog(LOG_INFO,"pc_timeout_tick:%s\n", ftpcmd);
      write_log_cms(mac, cms_status);
      unlink(FILE_CMS_INTERVAL);
   }

   comm_unlink(PC_IPQ_NAME);

   return 0;
}

#endif //ACTION_TEC_CMS

#ifdef ACTION_TEC_VERIZON_WRA
#include "comm.h"
#include "im_util.h"
#define LED_STANDBY_UP           10
#define WAN_IFACE_NAME "/var/tmp/wan_iface_name"
#define IP_MSG "got ip"
int standby_timeout_tick(int tick)
{
   struct stat stats;
                                                                                                                             
   int res, max_fd;
   struct timeval timeout;
   fd_set readfds, master_readfds;
   char recvbuf[32];
   ssize_t recvlen;
   int serv_fd = -1;
   int fp, retval=-1;
   static int cur_state = 0;
   FILE *fp1; 
   char standby_ret[10] = {0};
   timeout.tv_sec = 2;
   //UNIX socket
   if((serv_fd = comm_start(STANDBY_NAME, MSG_DONTWAIT)) < 0) {
       return NULL;
   }

   //msg_flush();
    /* fill up the master fd set */
   FD_ZERO(&master_readfds);
   FD_SET(serv_fd, &master_readfds);
   max_fd = serv_fd;
                                                                                                                             
   tick = 0;
                                                                                                                             
   while(1)
   {
                                                                                                                             
/* Copy the master fd sets into our local fd sets */
 memcpy(&readfds, &master_readfds, sizeof(fd_set));
                                                                                                                             
       res = select(max_fd+1, &readfds, NULL, NULL, &timeout);
       timeout.tv_sec = 2;
       if(res < 0){
           // Signal handling
           continue;
       }
       // recvfrom
       if(FD_ISSET(serv_fd, &readfds)){
           /* New socket connection */
           struct sockaddr_un from;
           socklen_t fromlen = sizeof(from);
                                                                                                                             
           recvlen = comm_recvfrom(serv_fd, recvbuf, sizeof(recvbuf)-1, 0,
                                   (struct sockaddr *)&from, &fromlen);
           if(recvlen < 0)
               printf("Error receiving message!\n");
           else{
	     recvbuf[recvlen] = 0;
	     if(strncmp(recvbuf, IP_MSG, strlen(IP_MSG)) == 0) {
	       fp = open("/dev/led", O_RDWR);
	       if(fp)
               {
                    memset(standby_ret, 0, sizeof(standby_ret)-1);
                    ioctl(fp, LED_STANDBY_UP, standby_ret);
                    close(fp);
               }
               retval = atoi(standby_ret);
		
	       if(retval == 1) 
               {
                   cur_state = 1;
                   fp1 = fopen (WAN_IFACE_NAME, "r");
                   if(fp1) {
                       char buff[100] = {0};
                       if(fgets(buff, 256, fp1) != NULL)
                       {
                           char command[256] = {0};
                           if(buff[strlen(buff)-1] == '\n')
                           {
                               buff[strlen(buff)-1] = 0;
                           }
                           sprintf(&command[0], "iptables -I INPUT -i %s -j DROP", buff);
                           system(&command[0]);
                           memset(&command[0], 0, sizeof(command));
                           sprintf(&command[0], "iptables -I OUTPUT -o %s -j DROP", buff);
                           system(&command[0]);
                       }
                       fclose (fp1);
                   }
                   system("/sbin/iptables -I FORWARD -j DROP");
                   system("/sbin/iptables -I INPUT -i eth1 -j DROP");
                   system("/sbin/iptables -I OUTPUT -o eth1 -j DROP");
                                                                                                                             
               }
             }
           }
       }
        fp = open("/dev/led", O_RDWR);
        if(fp)
        {
	    memset(standby_ret, 0, sizeof(standby_ret)-1);
            ioctl(fp, LED_STANDBY_UP, standby_ret);
            close(fp);
	}
	retval = atoi(standby_ret);
	if((retval == 0) && (cur_state == 1))
	{
	    cur_state = 0;
	    fp1 = fopen (WAN_IFACE_NAME, "r");
            if(fp1) {
                char buff[100] = {0};
                if(fgets(buff, 256, fp1) != NULL)
                {
                    char command[256] = {0};
                    if(buff[strlen(buff)-1] == '\n')
                    {
                        buff[strlen(buff)-1] = 0;
                    }
                    sprintf(&command[0], "iptables -D INPUT -i %s -j DROP", buff);
                    system(&command[0]);
                    memset(&command[0], 0, sizeof(command));
                    sprintf(&command[0], "iptables -D OUTPUT -o %s -j DROP", buff);
                    system(&command[0]);
                }
                fclose (fp1);
            }
	    system("/sbin/iptables -D FORWARD -j DROP");
	    system("/sbin/iptables -D INPUT -i eth1 -j DROP");
            system("/sbin/iptables -D OUTPUT -o eth1 -j DROP");
	} else if((retval == 1) && (cur_state == 0))
	{
	    cur_state = 1;
	    fp1 = fopen (WAN_IFACE_NAME, "r");
            if(fp1) {
	        char buff[100] = {0};
                if(fgets(buff, 256, fp1) != NULL)
                {
		    char command[256] = {0};
		    if(buff[strlen(buff)-1] == '\n')
		    {
		        buff[strlen(buff)-1] = 0;
		    }
            	    sprintf(&command[0], "iptables -I INPUT -i %s -j DROP", buff);
		    system(&command[0]);
		    memset(&command[0], 0, sizeof(command));
		    sprintf(&command[0], "iptables -I OUTPUT -o %s -j DROP", buff);
                    system(&command[0]);
		}
		fclose (fp1);
            }
     	    system("/sbin/iptables -I FORWARD -j DROP");
	    system("/sbin/iptables -I INPUT -i eth1 -j DROP");
            system("/sbin/iptables -I OUTPUT -o eth1 -j DROP");

	}
   }
                                                                                                                             
   comm_unlink(STANDBY_NAME);
                                                                                                                             
   return 0;
}


#endif

#ifdef ACTION_TEC_DYNLINK
char *browser_user_agents[] = {
    "Mozilla/", //Firefox, IE, 
    NULL
};

int is_browser_http (char *user_agent) {
    char *p = browser_user_agents[0];
    int found = 0;
    int i=0;

    while (p) {
        if (strncmp (user_agent, p, strlen (p)) == 0) {
            found = 1;
            break;
        }
        p = browser_user_agents[++i];
    }
    return found;
}

struct tcphdr {
	__u16	source;
	__u16	dest;
	__u32	seq;
	__u32	ack_seq;
	__u16	res1:4,
		doff:4,
		fin:1,
		syn:1,
		rst:1,
		psh:1,
		ack:1,
		urg:1,
		ece:1,
		cwr:1;
	__u16	window;
	__u16	check;
	__u16	urg_ptr;
};
#define MAX_LINE_PC         255
int get_lanip (char *ipbuf) 
{
    char buf[MAX_LINE_PC];
    FILE *fp;
    char *s;

    fp = fopen("/var/tmp/hosts", "r");
    if (fp != NULL) {
        while (fgets(buf, sizeof(buf) -1 , fp) != NULL) {
            s = strtok (buf," \t\n");
            if (strcmp (s, "127.0.0.1")) {
                strcpy (ipbuf, s);
                kprintf ("lanip=%s\n", ipbuf);
                return 1;
            }
            memset (buf,0,sizeof (buf));
        }
        fclose(fp);
    } 
    return 0;
}

//check sum calculation
/*
 * in_cksum --
 *      Checksum routine for Internet Protocol family headers (C Version)
 */
unsigned short in_cksum(unsigned short *addr,int len)
{
        register int sum = 0;
        u_short answer = 0;
        register u_short *w = addr;
        register int nleft = len;

        /*
         * Our algorithm is simple, using a 32 bit accumulator (sum), we add
         * sequential 16 bit words to it, and at the end, fold back all the
         * carry bits from the top 16 bits into the lower 16 bits.
         */
        while (nleft > 1)  {
                sum += *w++;
                nleft -= 2;
        }

        /* mop up an odd byte, if necessary */
        if (nleft == 1) {
                *(u_char *)(&answer) = *(u_char *)w ;
                sum += answer;
        }

        /* add back carry outs from top 16 bits to low 16 bits */
        sum = (sum >> 16) + (sum & 0xffff);     /* add hi 16 to low 16 */
        sum += (sum >> 16);                     /* add carry */
        answer = ~sum;                          /* truncate to 16 bits */
        return(answer);
}


struct psuedohdr  {
  struct in_addr source_address;
  struct in_addr dest_address;
  unsigned char place_holder;
  unsigned char protocol;
  unsigned short length;
} psuedohdr;

unsigned short trans_check(unsigned char proto,
                           char *packet,
                           int length,
                           struct in_addr source_address,
                           struct in_addr dest_address)
{
  char *psuedo_packet;
  unsigned short answer;

  psuedohdr.protocol = proto;
  psuedohdr.length = htons(length);
  psuedohdr.place_holder = 0;

  psuedohdr.source_address = source_address;
  psuedohdr.dest_address = dest_address;

  if((psuedo_packet = malloc(sizeof(psuedohdr) + length)) == NULL)  {
    perror("malloc");
    exit(1);
  }

  memcpy(psuedo_packet,&psuedohdr,sizeof(psuedohdr));
  memcpy((psuedo_packet + sizeof(psuedohdr)),
         packet,length);

  answer = (unsigned short)in_cksum((unsigned short *)psuedo_packet,
                                    (length + sizeof(psuedohdr)));
  free(psuedo_packet);
  return answer;
}

#define NF_REDIRECT        6  //must be the same as the value in kernel
#define NF_MAX_VERDICT NF_REDIRECT
#endif // ACTION_TEC_DYNLINK


int main(void)
{
    unsigned char packet[65536];
    int rval;
    pid_t tid;
#ifdef ACTION_TEC_PARENTCONTROL
    pid_t tid_pc;
#endif
#ifdef ACTION_TEC_VERIZON_DEMO
    pid_t tid_pc_schedule;
    pid_t tid_arp;
#endif
#ifdef ACTION_TEC_CMS
    pid_t tid_cms;
#endif
#ifdef ACTION_TEC_TR69
    pid_t tid_tr69;
#endif
#ifdef ACTION_TEC_VERIZON_WRA
    pid_t tid_standby;
#endif
    setup ();
#ifdef ACTION_TEC_PARENTCONTROL
    remotefd = socket(AF_INET, SOCK_DGRAM, 0);

    if (remotefd < 0) {
        syslog (LOG_INFO, "ipq_act: cannot create remote fd");
    }
    pthread_create(&tid, NULL, im_handler, NULL);

#endif //ACTION_TEC_PARENTCONTROL

    dns_timeout_init();
    pthread_create(&tid, NULL, dns_timeout_tick, NULL);
    
#ifdef ACTION_TEC_PARENTCONTROL //weixu:timer to fetch configure data
    pthread_create(&tid_pc, NULL, pc_timeout_tick, NULL);
#endif

#ifdef ACTION_TEC_VERIZON_DEMO
    pthread_create(&tid_pc_schedule, NULL, pc_schedule, (void*)&pc_s_magic);
    pthread_create(&tid_arp, NULL, arp_creator, NULL);
#endif
    
#ifdef ACTION_TEC_CMS //weixu:timer to send status
    pthread_create(&tid_cms, NULL, cms_timeout_tick, NULL);
#endif

#ifdef ACTION_TEC_TR69 //timer to send inform
    pthread_create(&tid_tr69, NULL, tr69_timeout_tick, NULL);
#endif

#ifdef ACTION_TEC_VERIZON_WRA
    pthread_create(&tid_standby, NULL, standby_timeout_tick, NULL);
#endif
#ifdef ACTION_TEC_VERIZON    
    init_website_block_mac ();
#else
    init_website_block ();
#endif
    while (1) {
        if ((rval = ipq_read(qh, packet, sizeof(packet), 0)) < 0) {
            syslog(LOG_INFO, "Warning: mainloop: ipq_read() error: %s", ipq_errstr());
            cleanup ();
            setup ();
            continue;
        }
        if (ipq_message_type(packet) == IPQM_PACKET) {
            unsigned char buf[MAX_URL_LEN+1];
            unsigned char srcip[20];
            unsigned char dstip[20];
            ipq_packet_msg_t *msg = ipq_get_packet(packet);

            //unsigned short hw_type = msg->hw_type;		/* Hardware type */
            //unsigned char hw_addrlen = msg->hw_addrlen;	/* Hardware address length */
            //unsigned char *hw_addr = msg->hw_addr;	/* Hardware address */

            struct iphdr	    *iph =  (struct iphdr *)msg->payload;
            struct udphdr       *udp =  (struct udphdr *)(msg->payload + iph->ihl * 4);
#if defined (ACTION_TEC_PARENTCONTROL) || defined (ACTION_TEC_DYNLINK)
            struct tcphdr       *tcp =  (struct tcphdr *)(msg->payload + iph->ihl * 4);
            char *data = 
                (char *)(msg->payload + iph->ihl * 4 + tcp->doff * 4 );
#endif //ACTION_TEC_PARENTCONTROL
            int verdict = NF_ACCEPT;

            if (blockListChanged ()) {
#ifdef ACTION_TEC_VERIZON
                init_website_block_mac ();
#else
		init_website_block ();
#endif
            }
            if ((iph->protocol == IPPROTO_UDP) && 
                ((udp->source == htons (PORT_DNS)) ||
                 (udp->dest   == htons (PORT_DNS)))) 
            { //DNS packet port 53
                if (msg->data_len >= (iph->ihl * 4 + sizeof (struct udphdr) +
                                sizeof (struct dns_header_s))) {
                    struct dns_header_s  *dns =
                        (struct dns_header_s *)(msg->payload + iph->ihl * 4 + sizeof (struct udphdr));
                    unsigned char *p, *url;
                    int  len;
                    int  opcode;
                    int  retcode;
                    //get request DNS name
                    strncpy (buf,  (char *)dns + sizeof (struct dns_header_s), sizeof (buf) -1);
                    buf[sizeof (buf) -1] = 0;
                    p = buf;
                    len = p[0];
                    while (len && (p+len+1 <= buf + sizeof (buf) -1)) {
                        p+= (len+1);
                        len = p[0];
                        if (len) *p = '.';
                    }
                    url = buf+1;
                    //get src ip
                    strcpy (srcip, inet_ntoa (iph->saddr));
                    strcpy (dstip, inet_ntoa (iph->daddr));
                    //is server response and is a good one
                    opcode = (unsigned char)((ntohs (dns->flags.flags) & DNS_OPCODE_MASK) >>11);
                    retcode = (unsigned char)(ntohs (dns->flags.flags) & DNS_RCODE_MASK);
                    if ( opcode == 0x10) { //server response
			    
			 dns_timeout_clear(iph->saddr);   
			 
                         if (retcode == 0) { //good one  write into activity log
                             if (strncmp (url, "1.0.0.127", strlen("1.0.0.127"))) {
                                 writeWebActivityLog (dstip, url);
                             }
/*                             syslog (LOG_INFO, "server:flag=%08x,%08x,%0x,%0x, opcode=%0x,%0x,sport=%x,dport=%x,len=%d,srcip=%s,dstip=%s url=%s\n", 
                                     dns->flags.flags, ntohs (dns->flags.flags), opcode, retcode,
                                     dns->flags.f.opcode,
                                     dns->flags.f.rcode,
                                     udp->source,
                                     udp->dest,
                                     msg->data_len,
                                     srcip, 
                                     dstip,
                                     url);*/
                         }
                         else {
                             syslog (LOG_INFO, "failed dns request len=%d,srcip=%s, url=%s\n", 
                                     msg->data_len,
                                     srcip, 
                                     url);
                         }
                    }
                    else { //client request , check website block

			dns_timeout_start(iph->daddr);
#ifdef ACTION_TEC_VERIZON			    	
                        if (inBlockWebsiteList (url, hw_addr))
#else
			if (inBlockWebsiteList (url))
#endif
                            verdict = NF_DROP;
                          
/*                        syslog (LOG_INFO, "flag=%08x,%08x,%0x,%0x, opcode=%0x,%0x,sport=%x,dport=%x,len=%d,srcip=%s,dstip=%s url=%s\n", 
                                dns->flags.flags, ntohs (dns->flags.flags), opcode, retcode,
                                dns->flags.f.opcode,
                                dns->flags.f.rcode,
                                udp->source,
                                udp->dest,
                                msg->data_len,
                                srcip, 
                                dstip,
                                url);*/
                    }
                }
            }
#ifdef ACTION_TEC_DYNLINK
            else if ((iph->protocol == IPPROTO_TCP) &&  
                     (tcp->dest == htons (80)) &&
                     (!strncmp (data, "GET ", 4) || !strncmp (data, "get ", 4)))        //out http
            {
                int datalen;
                char *p1, *p2;
                char user_agent[255];
                int gotBrowserAgent = 0;
                struct in_addr saddr, daddr;
                char lan_ip[20];
                char *url = data + 4;

//                kprintf ("--http get\n");
                memset (user_agent, 0, sizeof (user_agent));
                datalen = ntohs (iph->tot_len) - (iph->ihl * 4 + tcp->doff * 4);
                p1 = strstr (data, "\r\nUser-Agent: ");
                if (p1 && (p1 - data < datalen)) {
                    p1+= strlen ("\r\nUser-Agent: ");
                    while (p1[0] == ' ') p1++;
                    p2 = strstr (p1, "\r\n");
                    if (p2) {
                        memset (user_agent, 0, sizeof(user_agent));
                        if (p2-p1 <sizeof (user_agent)) {
                            strncpy (user_agent, p1, p2-p1);
                            gotBrowserAgent = 1;
//                            kprintf ("ag=%s\n", user_agent);
                        }
                    }
                }
                if (strncmp (url, "/ ", 2)) {
                     gotBrowserAgent = 0;
//                     kprintf ("\nwe only redirect / url\n");
                }
                verdict = NF_ACCEPT;
                if (gotBrowserAgent) {
                    if (is_browser_http (user_agent)) {
                        char buf_redirect[512];
                        char ip_peer[20];
                        __u32	old_seq;
                        unsigned short old_port;
                        int org_len = msg->data_len - iph->ihl * 4 - tcp->doff * 4;

                        get_lanip (lan_ip);
                        memset (buf_redirect, 0, sizeof (buf_redirect));
                        sprintf (buf_redirect, 
                                 "HTTP/1.1 302 Moved Temporarily\r\n%s\r\n%s\r\n%s\r\n%s%s%s\r\n\r\n",
                                 "Content-Length: 0",
                                 "Pragma: no-cache",
                                 "Cache-Control: private, max-age=0, no-cache",
                                 "Location: http://",
                                 lan_ip,
                                 "");
                        memcpy (msg->payload + sizeof (struct iphdr) + sizeof (struct tcphdr), 
                                buf_redirect, strlen (buf_redirect));
                        msg->data_len = strlen (buf_redirect) + sizeof (struct iphdr) + sizeof (struct tcphdr);
                        //change ip header check sum
                        iph->tot_len = htons (msg->data_len);
                        iph->check = 0;
                        iph->check = (unsigned short)in_cksum((unsigned short *)iph,
                                          sizeof(struct iphdr));
                        //change tcp checksum
                        memset ((char *)tcp+12, 0, 2);
                        tcp->res1 = 0;
                        tcp->doff = 5; //set the header len(options may set it other than 5)
                        tcp->psh = 1; 
                        tcp->ack = 1;
                        tcp->fin = 1;
                        saddr.s_addr = iph->saddr;
                        daddr.s_addr = iph->daddr;

                        old_seq = tcp->seq;
                        tcp->seq= ntohl (htonl (tcp->ack_seq));
                        tcp->ack_seq = ntohl (htonl (old_seq) + org_len );

                        old_port = tcp->dest;
                        tcp->dest = tcp->source;
                        tcp->source = old_port;

                        tcp->check = 0;
                        tcp->check = trans_check (IPPROTO_TCP,(char *)tcp,
                                  msg->data_len - sizeof (struct iphdr),
                                  daddr,
                                  saddr);
                        verdict = NF_REDIRECT;
                        strcpy (ip_peer, inet_ntoa (saddr));
                        kprintf ("****redirect =%s\n", ip_peer);
                        sprintf (buf_redirect, 
                                 "/sbin/iptables -D FORWARD -s %s -p tcp ! --syn --dport 80 -j QUEUE &",
                                 ip_peer);
                        system (buf_redirect);
                    }
                }
            }
#endif //ACTION_TEC_DYNLINK
#ifdef ACTION_TEC_PARENTCONTROL
            else if ((iph->protocol == IPPROTO_TCP) &&  
                     (tcp->dest == htons (80)) &&
                     (!strncmp (data, "GET ", 4) || !strncmp (data, "get ", 4)))        //out http
            {
                int datalen;
                char *p1, *p2;
                char host[255];
                int gotHost = 0;
                struct in_addr saddr;

                memset (host, 0, sizeof (host));
                datalen = ntohs (iph->tot_len) - (iph->ihl * 4 + tcp->doff * 4);
                p1 = strstr (data, "\r\nHost: ");
                if (p1 && (p1 - data < datalen)) {
                    p1+= strlen ("\r\nHost: ");
                    while (p1[0] == ' ') p1++;
                    p2 = strstr (p1, "\r\n");
                    if (p2) {
                        memset (host, 0, sizeof(host));
                        if (p2-p1 <sizeof (host)) {
                            strncpy (host, p1, p2-p1);
                            gotHost = 1;
                        }
                    }
                }
                
                if (gotHost) {
                    if (inet_aton (host, &saddr)) {
                        reverse_dnslookup (host);
                    }
                }
            }
            else if ((iph->protocol == IPPROTO_TCP) && 
                     (tcp->source == htons (80)) && 
                     strncmp (data, "YMSG", 4) &&
                     strncmp (data, "YHOO", 4))   //in http and not YMSG or YHOO
            {
                struct in_addr saddr, daddr;
                char buf_redirect[512];
                char lan_ip[20];
                int http_action;

                http_action = get_http_action (iph->daddr, tcp->dest);
//                syslog (LOG_INFO, "http action=%d,dst=%08x, port=%d\n", 
                        //http_action, iph->daddr, tcp->dest);
                switch (http_action) {
                case 0: //OK
                    verdict = NF_ACCEPT;
                    break;
                case 1: //pending
                    verdict = NF_DROP;
                    break;
                case 2: //blocked
                    get_lanip (lan_ip);
                    memset (buf_redirect, 0, sizeof (buf_redirect));
                    sprintf (buf_redirect, 
                             "HTTP/1.1 302 Moved Temporarily\r\n%s\r\n%s\r\n%s\r\n%s%s%s\r\n\r\n",
                             "Content-Length: 0",
                             "Pragma: no-cache",
                             "Cache-Control: private, max-age=0, no-cache",
                             "Location: http://",
                             lan_ip,
                             "/cgi-bin/webcm?getpage=../linkhtml/pc_blocked.html");
                    memcpy (msg->payload + sizeof (struct iphdr) + sizeof (struct tcphdr), 
                            buf_redirect, strlen (buf_redirect));
                    msg->data_len = strlen (buf_redirect) + sizeof (struct iphdr) + sizeof (struct tcphdr);
                    //change ip header check sum
                    iph->tot_len = htons (msg->data_len);
                    iph->check = 0;
                    iph->check = (unsigned short)in_cksum((unsigned short *)iph,
                                      sizeof(struct iphdr));
                    //change tcp checksum
                    memset ((char *)tcp+12, 0, 2);
                    tcp->res1 = 0;
                    tcp->doff = 5; //set the header len(options may set it other than 5)
                    tcp->psh = 1; 
                    tcp->ack = 1;
                    saddr.s_addr = iph->saddr;
                    daddr.s_addr = iph->daddr;
                    tcp->check = 0;
                    tcp->check = trans_check (IPPROTO_TCP,(char *)tcp,
                              msg->data_len - sizeof (struct iphdr),
                              saddr,
                              daddr);

                    verdict = NF_ACCEPT;
                    break;
                default:
                    verdict = NF_ACCEPT;
                    break;
                }
            }
            else if (msg->data_len > 40) { //all others having datalen > header will be sent to the IM check program 
                //  and also be pushed into a waiting queue, waiting the action decided by IM check routinue
                struct msg_base *im_msg;
                FILE *fp = fopen ("/var/log/no_verdict", "r"); 
                if (fp) {
                    fclose (fp);
                    syslog (LOG_INFO, "NO verdict");
                    verdict = NF_ACCEPT;
                }
                else {
                    if ((iph->protocol == IPPROTO_TCP) &&  
                        (tcp->dest == htons (80))) {
                        syslog (LOG_INFO, "80data =%d,%s", msg->data_len, data); 
                    }
                    im_msg = new_msg (1, msg->payload, msg->data_len, PC_IM_NAME, PC_IPQ_NAME);
                    if (im_msg) {
                        im_msg->packet_id = msg->packet_id;
                        syslog (LOG_INFO, "Send msg to im_verdict seq=%d, id=%08x, len=%d", 
                                im_msg->seq, im_msg->packet_id, msg->data_len);
                        NODE_ENQUEUE(message_queue, im_msg);
                        msg_send (im_msg);
                        memset (packet, 0, sizeof (packet));
                        continue;
                    }
                    else {
                        verdict = NF_ACCEPT;
                    }
                }
            }
            else {
                verdict = NF_ACCEPT;
            }

#endif //ACTION_TEC_PARENTCONTROL
            rval = ipq_set_verdict(qh, msg->packet_id,
                            verdict, msg->data_len, msg->payload);
            if (rval < 0) {
                syslog(LOG_WARNING, "ipq_set_verdict returned error.");
            }
        }
        memset (packet, 0, sizeof (packet));
    }

//die:
    syslog (LOG_INFO, "ipq died!\n");
    cleanup ();
    pthread_join(tid, NULL);
#ifdef ACTION_TEC_PARENTCONTROL
    pthread_join(tid_pc, NULL);
#endif
#ifdef ACTION_TEC_VERIZON_DEMO
    pthread_join(tid_pc_schedule, NULL);
    pthread_join(tid_arp, NULL);
#endif
#ifdef ACTION_TEC_CMS
    pthread_join(tid_cms, NULL);
#endif
#ifdef ACTION_TEC_TR69
    pthread_join(tid_tr69, NULL);
#endif
#ifdef ACTION_TEC_VERIZON_WRA
    pthread_join(tid_standby, NULL);
#endif

    exit(1);
}
