#Usage: 
# iptable_ruls_ctl op mac proto sport dport smport dmport
#   op : ADD 
#        DEL
#  mac : 11:22:33:44:55:66
# proto: udp
#        tcp
#        icmp
# sport: xx[:yy]
#        example: 80   1:80  :80 80:
# dport: xx[:yy] 
# smport: xx,yy,zz
# dmport: xx,yy,zz

OP=$1
MAC=$2
PROTO=$3
SPORT=$4
DPORT=$5
SMPORT=$6
DMPORT=$7


#example1 : iptables -I FORWARD -m mac --mac-source 08:00:46:D3:52:B0 -p icmp -j DROP 

#example2 : iptables -D FORWARD -m mac --mac-source 08:00:46:D3:52:B0 -p icmp -j DROP 

#example3 : iptables -I FORWARD -m mac  --mac-source $MAC -p $PROTO --source-port $SPORT  --dport $DPORT -j ACCEPT
 
#example4 : iptables -D FORWARD -m mac  --mac-source $MAC -p $PROTO --destination-port $DPORT -j ACCEPT

#Multi ports
#example5 : iptables -I FORWARD -m mac  --mac-source $MAC -p $PROTO  -s 0/0 -d 0/0 -m multiport --source-port 1720,1503 -j ACCEPT

#Range
#example6 : iptables -I FORWARD -m mac  --mac-source $MAC -p $PROTO  -s 0/0 -d 0/0  --source-port 1:80 -j ACCEPT
#example7 : iptables -I FORWARD -m mac  --mac-source $MAC -p $PROTO  -s 0/0 -d 0/0  --source-port :80 -j ACCEPT
#example8 : iptables -I FORWARD -m mac  --mac-source $MAC -p $PROTO  -s 0/0 -d 0/0  --source-port 80: -j ACCEPT


#=======================================================
# No need to write whole thing, just call iptabl from caller.
#=======================================================
#if [ "$OP" = "ADD" ] || [ "$OP" = "DEL" ]; then
#  if ["$SPORT" != "NULL"] && ["$DPORT" != "NULL"]; then 
#     if [ "$OP" = "ADD" ]; then
#        iptables -I FORWARD -m mac  --mac-source $MAC -p $PROTO --source-port $SPORT  --dport $DPORT -j ACCEPT
#     else
#        iptables -D FORWARD -m mac  --mac-source $MAC -p $PROTO --source-port $SPORT  --dport $DPORT -j ACCEPT
#     fi
#  else 
#    if ["$SPORT" != "NULL"]; then
#
#      if [ "$OP" = "ADD" ]; then
#        iptables -I FORWARD -m mac  --mac-source $MAC -p $PROTO --source-port $SPORT  -j ACCEPT
#      else
#        iptables -D FORWARD -m mac  --mac-source $MAC -p $PROTO --source-port $SPORT  -j ACCEPT
#      fi
#    else
#      if [ "$OP" = "ADD" ]; then
#         iptables -I FORWARD -m mac  --mac-source $MAC -p $PROTO --destination-port $DPORT -j ACCEPT
#      else
#         iptables -D FORWARD -m mac  --mac-source $MAC -p $PROTO --destination-port $DPORT -j ACCEPT
#      fi
#  fi




 #   iptables -I FORWARD -m mac  --mac-source $MAC -p $PROTO --source-port $SPORT  --dport $DPORT -j ACCEPT
 # fi 
 #  
 #    if [ "$OP" = "DEL" ] && ["$SPORT" != "NULL"] && ["$DPORT" != "NULL"]; 
 #      then
 #     fi 

 #         if [ "$OP" = "ADD" ] && ["$SPORT" != "NULL"] && ["$DPORT" != "NULL"]; 
 #          then
 #           iptables -D FORWARD -m mac  --mac-source $MAC -p $PROTO --source-port $SPORT  --dport $DPORT -j ACCEPT
 #         fi 




# -------------------------------------------------
