#-------------------------------------------------------------
# TI configuration file Parser
# TI Linux Gateway Release
# (c) 2002 Texas Instruments
#
# Usage: awk -f config_parse label=<rpm_field> linux.conf
#      Where rpm_field = Libarires,BIOS,NSP,PSP,Common,Kernel
#
#-------------------------------------------------------------
BEGIN { FS = "\n"; RS = "" }
{ 
        if($1 ~ /^\#/) {}
        if($1 ~ /^\[/) {
                sec_tag = $1
                len = length($1)
                sec_label = substr(sec_tag,2,len-2)
                     }
        if(sec_label ~ label)
        {
                for(i=2; i <=NF; i++) {
                  if($i ~ /^\#/){}
                  else
                    printf("%s\n", $i)                
                              }
        }
}

